# H4508_ExtendedName Class Reference

`#include <h4508.h>`

List of all members.

## Public Member Functions

| H4508_ExtendedName (unsigned tag=UniversalBMPString, TagClass tagClass=UniversalTagClass)
H4508_ExtendedName & | operator= (const char *v)
H4508_ExtendedName & | operator= (const PString &v)
H4508_ExtendedName & | operator= (const PWCharArray &v)
H4508_ExtendedName & | operator= (const PASN_BMPString &v)
PObject * | Clone () const

## Constructor & Destructor Documentation

H4508_ExtendedName::H4508_ExtendedName | ( | unsigned | tag = `UniversalBMPString`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4508_ExtendedName& H4508_ExtendedName::operator= | ( | const char * | v | ) |

H4508_ExtendedName& H4508_ExtendedName::operator= | ( | const PString & | v | ) |

H4508_ExtendedName& H4508_ExtendedName::operator= | ( | const PWCharArray & | v | ) |

H4508_ExtendedName& H4508_ExtendedName::operator= | ( | const PASN_BMPString & | v | ) |

PObject* H4508_ExtendedName::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4508.h